GCLOUD_CONTAINER_IMAGES_DESCRIBE(1)

NAME

gcloud container images describe - lists container analysis data for a given image

SYNOPSIS

gcloud container images describe IMAGE_NAME [--occurrence-filter=OCCURRENCE_FILTER; default="kind = "BUILD_DETAILS" OR kind = "PACKAGE_VULNERABILITY" OR kind = "IMAGE_BASIS""] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
Lists container analysis data for a valid image.

POSITIONAL ARGUMENTS

    IMAGE_NAME
        The fully qualified name(s) of image(s) to describe. The name(s) should be formatted as *.gcr.io/project_id/image_path@sha256:<digest> or *.gcr.io/project_id/image_path[:<tag>].

FLAGS

    --occurrence-filter=OCCURRENCE_FILTER; default="kind = "BUILD_DETAILS" OR kind = "PACKAGE_VULNERABILITY" OR kind = "IMAGE_BASIS""
        Additional filter to fetch occurrences for a given fully qualified image reference.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
Describe container analysis data for a specified image:
    $ gcloud container images describe gcr.io/myproject/myimage@digest
          OR $ gcloud container images describe gcr.io/myproject/myimage:tag